Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 1 Jun 2018 13:59:43 +1000

Hi all,

On Thu, 31 May 2018 07:38:55 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 29 May 2018 13:25:48 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the net-next tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > x86_64-linux-ld: unknown architecture of input file `net/bpfilter/bpfilter_umh.o' is incompatible with i386:x86-64 output
> > 
> > Caused by commit
> > 
> >   d2ba09c17a06 ("net: add skeleton of bpfilter kernel module")
> > 
> > In my builds, the host is PowerPC 64 LE ...
> > 
> > I have reverted that commit along with
> > 
> >   61a552eb487f ("bpfilter: fix build dependency")
> >   13405468f49d ("bpfilter: don't pass O_CREAT when opening console for debug")
> > 
> > for today.  
> 
> I am still getting this failure (well, at least yesterday I did).

Still happened today.  My guess is that bpfilter_umh needs to be built
with the kernel compiler (not the host compiler - since ir is meant to
run on the some machine as the kernel, right?) but will require the
kernel architecture libc etc

I replaced the reverts above with the following:

From: Stephen Rothwell <[email-masked]>
Date: Fri, 1 Jun 2018 13:33:28 +1000
Subject: [PATCH] net: bpfilter: mark as BROKEN for now

This does not build in a cross compile environment

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 net/bpfilter/Kconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/net/bpfilter/Kconfig b/net/bpfilter/Kconfig
index a948b072c28f..ea4be72fdf6e 100644
--- a/net/bpfilter/Kconfig
+++ b/net/bpfilter/Kconfig
@@ -2,6 +2,7 @@ menuconfig BPFILTER
 	bool "BPF based packet filtering framework (BPFILTER)"
 	default n
 	depends on NET && BPF && INET
+	depends on BROKEN
 	help
 	  This builds experimental bpfilter framework that is aiming to
 	  provide netfilter compatible functionality via BPF
-- 
2.17.0

-- 
Cheers,
Stephen Rothwell